Update source
curl --request PATCH \
--url https://woes.dev/api/v1/sources/{sourceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const url = 'https://woes.dev/api/v1/sources/{sourceId}';
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://woes.dev/api/v1/sources/{sourceId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://woes.dev/api/v1/sources/{sourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"source": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"publicDocs": {
"enabled": true,
"published": true,
"slug": "<string>",
"url": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"inputUrl": "<string>",
"error": "<string>",
"auth": {
"configured": true,
"hasSecret": true,
"lastError": "<string>",
"lastVerifiedAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"type": "<string>"
},
"counts": {
"chunks": 123,
"documents": 123,
"endpoints": 123
},
"documents": [
{
"object": "<string>",
"id": "<string>",
"kind": "<string>",
"title": "<string>",
"path": "<string>",
"content": "<string>"
}
],
"endpoints": [
{
"object": "<string>",
"id": "<string>",
"method": "<string>",
"path": "<string>",
"operationId": "<string>",
"summary": "<string>",
"description": "<string>",
"parameters": "<unknown>",
"requestBody": "<unknown>",
"responses": "<unknown>",
"security": "<unknown>",
"tags": "<unknown>"
}
]
}
}{
"code": "invalid_request",
"error": "Request body is invalid."
}{
"code": "unauthorized",
"error": "A valid workspace API key is required."
}{
"code": "insufficient_scope",
"error": "This API key is missing the required scope."
}{
"code": "not_found",
"error": "Record not found."
}{
"code": "rate_limited",
"error": "Too many API requests. Slow down and try again shortly."
}{
"code": "internal_error",
"error": "The API request could not be completed."
}Update source
Renames a source and/or changes public docs publication state.
PATCH
https://woes.dev
/
api
/
v1
/
sources
/
{sourceId}
Update source
curl --request PATCH \
--url https://woes.dev/api/v1/sources/{sourceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const url = 'https://woes.dev/api/v1/sources/{sourceId}';
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://woes.dev/api/v1/sources/{sourceId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://woes.dev/api/v1/sources/{sourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"source": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"publicDocs": {
"enabled": true,
"published": true,
"slug": "<string>",
"url": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"inputUrl": "<string>",
"error": "<string>",
"auth": {
"configured": true,
"hasSecret": true,
"lastError": "<string>",
"lastVerifiedAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"type": "<string>"
},
"counts": {
"chunks": 123,
"documents": 123,
"endpoints": 123
},
"documents": [
{
"object": "<string>",
"id": "<string>",
"kind": "<string>",
"title": "<string>",
"path": "<string>",
"content": "<string>"
}
],
"endpoints": [
{
"object": "<string>",
"id": "<string>",
"method": "<string>",
"path": "<string>",
"operationId": "<string>",
"summary": "<string>",
"description": "<string>",
"parameters": "<unknown>",
"requestBody": "<unknown>",
"responses": "<unknown>",
"security": "<unknown>",
"tags": "<unknown>"
}
]
}
}{
"code": "invalid_request",
"error": "Request body is invalid."
}{
"code": "unauthorized",
"error": "A valid workspace API key is required."
}{
"code": "insufficient_scope",
"error": "This API key is missing the required scope."
}{
"code": "not_found",
"error": "Record not found."
}{
"code": "rate_limited",
"error": "Too many API requests. Slow down and try again shortly."
}{
"code": "internal_error",
"error": "The API request could not be completed."
}Authorizations
Workspace API key that starts with woesk_. Paste your own key into the docs playground; never expose it in browser code.
Path Parameters
Workspace API source id.
Body
application/json
Response
Updated source detail.
Hide child attributes
Hide child attributes
Allowed value:
"source"Available options:
openapi, json, url, website, text, graphql, postman, asyncapi, grpc, soap, github, notion, confluence, hubspot Available options:
pending, processing, ready, failed Hide child attributes
Hide child attributes
Allowed value:
"endpoint"Last modified on July 4, 2026
Was this page helpful?
⌘I
